Subject: Re: [RFC 1/2] udp: add non-linear uniform port allocation scheme option /proc/sys/net/ipv4/udp_port_randomization

From: Eric Dumazet <[email-masked]>
Date: Thu, 17 Dec 2009 17:00:12 +0100

Le 17/12/2009 16:16, Octavian Purdila a écrit :

> Thanks for reviewing Eric. In this thread 
> 
> http://kerneltrap.org/mailarchive/linux-netdev/2009/5/8/5667204 (ports being 
> reused too fast)
> 
> Stephen observed that port randomization effects on same port allocation 
> frequency are explained by the birthday paradox. 

But this was with TCP, not UDP. Without NAT, UDP has no timewait concept.

> 
> The RFC suggesting port randomization recognizes this issue and suggest a way 
> to overcome it, but on a first glance it looks expensive. 
> 
> Adding a sysctl to sequencial port allocation might not be the best option, 
> but we thought of kicking the discussion about this issue with this patch.

Before sending patches, you might first describe the issue ?

> 
>> BTW, net-next-2.6 is not yet open, this is not the right time to submit non
>>  bug fixes patches.
> 
> Yes, we know that, but we are still learning the details. For instance, should 
> we refrain from sending RFC patches (as in patches we are not sure that are 
> right and want to get early feedback on) as well during the merge window?

You always *can* send RFC/patches, but we are pretty busy to correct bugs,
and take some free time to rest :=)

Thanks